libzypp 17.37.10

zyppng::IOBuffer::Chunk Struct Reference

## Public Member Functions
char * | data ()
const char * | data () const
int64_t | available () const
int64_t | len () const

## Public Attributes
ByteArray | _buffer
int64_t | head = 0
int64_t | tail = 0

## Detailed Description

Definition at line 12 of file iobuffer_p.h.

## Member Function Documentation

## ◆ data() [1/2]

char * zyppng::IOBuffer::Chunk::data | ( |  | ) |
| inline

Definition at line 18 of file iobuffer_p.h.

## ◆ data() [2/2]

const char * zyppng::IOBuffer::Chunk::data | ( |  | ) | const
| inline

Definition at line 22 of file iobuffer_p.h.

## ◆ available()

int64_t zyppng::IOBuffer::Chunk::available | ( |  | ) | const
| inline

Definition at line 26 of file iobuffer_p.h.

## ◆ len()

int64_t zyppng::IOBuffer::Chunk::len | ( |  | ) | const
| inline

Definition at line 29 of file iobuffer_p.h.

## Member Data Documentation

## ◆ _buffer

ByteArray zyppng::IOBuffer::Chunk::_buffer

Definition at line 13 of file iobuffer_p.h.

## ◆ head

int64_t zyppng::IOBuffer::Chunk::head = 0

Definition at line 15 of file iobuffer_p.h.

## ◆ tail

int64_t zyppng::IOBuffer::Chunk::tail = 0

Definition at line 16 of file iobuffer_p.h.

The documentation for this struct was generated from the following file:

- zypp-core/zyppng/io/private/iobuffer_p.h